Subject: RE: Building groff & ncurses (B19, NT 4.0 SP3)
From: [email-masked] (Smith, Martin)

6 Mar 1998 14:33:15 -0800
Message-ID: <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]

Thanks Michael - I have copied your reply to the list as you suggested (my
original went to the list already as well as yourself)

It looks like the ash bug as you say - I misread the original e-mail and
jumped to the conclusion that I needed a /bin/bash rather than having to
change my existing /usr/bin/sh to be a copy of bash. I'll try again and be
more careful this time !

Regards,
	Martin

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Tuesday, March 03, 1998 5:09 PM
> To:	[email-masked]
> Subject:	Re: Building groff & ncurses (B19, NT 4.0 SP3)
> 
> Hi,
> 
> >Michael, your updates on ported software are useful. However, I seem to
> have
> 
> On which OS did you try this ? Win95 or WinNT ?
> Can't tell anything about Win95 - all the packages are compiled under
> WinNT. I updated my list to reflect this.
> 
> [...]
> >/bin/sh: -c: line 1: syntax error near unexpected token `;'
> >/bin/sh: -c: line 1: `if test -n ""; then  for m in ; do  rm -f $m-wrap;
> [...]
> 
> This looks like the "ash quoting bug" - don't know, though, why you got
> it and I did not.
> Perhaps you'd like to try, what I suggested for ncurses in my list, i.e.
> copy bash.exe to /bin/sh ?
> 
> >
> >I also had a problem with ncurses - it seems to be having some problems
> >installing tic (even if I manually create the directory it is complaining
> >about). Again, I would appreciate any feedback on what I may be doing
> wrong.
> 
> This is because Cygnus linker creates .exe files, while on a Unix system
> executables don't need this extension. make install does not know, that
> it has to care for these.
> Someone posted a small script to solve this problem.
> You have to rename install.exe to org_install.exe and copy this script
> as "install" to the same directory, where org_install.exe lives.
> 
> ------------------------< snip snip snip >-----------------------------
> #!bash
> # file: install
> # author: earnie  email: [email-masked]
> # Install Preprocessor for the gnu-win32 "make install" command.
> #
> # To use:
> #   mv install.exe ginstall
> #   copy this file to install
> #
> # Note:
> #   No warranty implicit or explicit is given.
> #   You may copy, distribute and use as you see fit.
> #   USE AT YOU OWN RISK.
> #
> tstr=""
> while [ $# -gt 0 ]
> do
>   if [ -e $1.exe ]
>   then
>     tstr="$tstr$1.exe $2.exe"
>     shift
>   else
>     tstr="$tstr$1 "
>   fi
>   shift
> done
> echo "org_install $tstr"
> eval "org_install $tstr"
> exit
> #end of script.
> ------------------------< snip snip snip >-----------------------------
> 
> >
> >Regards,
> >	Martin
> 
> Hope this helps a bit.
> 
[...snip....]

> Bye.
> Michael.
> --
> Michael Hirmke           | Telefon +49 (911) 557999
> Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
> 90489 Nuernberg          | E-Mail  mailto:[email-masked]
>                          | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".